Loading...
Searching...
No Matches
error_code.hpp File Reference

## Description

Provides bsoncxx::v_noabi::error_code.

Includes
  - bsoncxx/v1/exception.hpp

Go to the source code of this file.

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Enumerations

enum class | bsoncxx::v_noabi::error_code : std::int32_t
| Enum representing the various error types that can occur while operating on BSON values. More...

## Functions

std::error_category const & | bsoncxx::error_category ()
| Get the error_category for exceptions originating from the bsoncxx library.
std::error_category const & | bsoncxx::v_noabi::error_category ()
| Get the error_category for exceptions originating from the bsoncxx library.
std::error_code | bsoncxx::make_error_code (error_code error)
| Translate a bsoncxx::v_noabi::error_code into a std::error_code.
std::error_code | bsoncxx::v_noabi::make_error_code (error_code error)
| Translate a bsoncxx::v_noabi::error_code into a std::error_code.